      SUBROUTINE DIR ( STRING, ERROR )
C*
C*                  *******************************
C*                  *******************************
C*                  **                           **
C*                  **          DIR              **
C*                  **                           **
C*                  *******************************
C*                  *******************************
C*
C*     SUBPROGRAM :
C*          DIRECTORY DISPLAY
C*
C*     AUTHOR :
C*          ART RAGOSTA
C*          MS 207-5
C*          AMES RESEARCH CENTER
C*          MOFFETT FIELD, CA  94035
C*          (415) 694-5578
C*
C*     PURPOSE :
C*          DISPLAY THE DIRECTORY AT THE TERMINAL.
C*
C*     METHODOLOGY :
C*          SPAWNS A SUBTASK WITH THE DIRECTORY COMMAND.
C*
C*     INPUT ARGUMENTS :
C*          STRING - A COMMAND OR QUALIFIER STRING THAT IS APPENDED TO THE
C*                   DIRECTORY COMMAND (EG, "/DATE *.FOR").
C*
C*     OUTPUT ARGUMENTS :
C*          ERROR - SET TRUE IF AN ERROR OCCURS. PLEASE NOTE... THIS FLAG
C*                  SHOULD NEVER BECOME SET AS NORMAL ERRORS (SUCH AS A
C*                  MISSPELLED QUALIFIER) ARE CAUGHT BY DCL AND ARE NOT
C*                  RETURNED TO ISTAT.
C*
C*     INTERNAL WORK AREAS :
C*          NONE
C*
C*     COMMON BLOCKS :
C*          NONE
C*
C*     FILE REFERENCES :
C*          SYS$OUTPUT - USED FOR DISPLAY OF THE DIRECTORY.
C*
C*     DATA BASE ACCESS :
C*          NONE
C*
C*     SUBPROGRAM REFERENCES :
C*          LIB$SPAWN
C*
C*     ERROR PROCESSING :
C*          NONE
C*
C*     TRANSPORTABILITY LIMITATIONS :
C*          USES HIGHLY NON-TRANSPORTABLE OPERATING SYSTEM CALL.
C*
C*     ASSUMPTIONS AND RESTRICTIONS :
C*          NONE
C*
C*     LANGUAGE AND COMPILER :
C*          ANSI FORTRAN 77
C*
C*     VERSION AND DATE :
C*          VERSION I.0     31-AUG-84
C*
C*     CHANGE HISTORY :
C*          31-AUG-84    INITIAL VERSION
C*
C***********************************************************************
C*
      CHARACTER *(*) STRING
      LOGICAL ERROR
      EXTERNAL SS$_NORMAL
C
      ISTAT = LIB$SPAWN ( 'DIRECTORY '//STRING,,,,,,,,,,, )
      ERROR = ISTAT .NE. %LOC(SS$_NORMAL)
      RETURN
      END
C
C---END DIR
C
